#
# spec file for package cyrus-imapd (Version 2.2.13)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cpp41 cracklib cvs cyrus-sasl cyrus-sasl-devel db db-devel diffutils drac e2fsprogs e2fsprogs-devel ed file filesystem fillup findutils flex gawk gcc gcc41 gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd krb5 krb5-devel less libacl libattr libcom_err libgcc41 libltdl libmudflap41 libnscd libstdc++41 libtool libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openslp openslp-devel openssl openssl-devel opie pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd tcpd-devel texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           cyrus-imapd
BuildRequires:  cyrus-sasl-devel db-devel drac ed krb5-devel openslp-devel openssl-devel opie tcpd-devel
URL:            http://asg.web.cmu.edu/cyrus/
License:        BSD License and BSD-like
Group:          Productivity/Networking/Email/Servers
Requires:       perl-Cyrus-IMAP perl-Cyrus-SIEVE-managesieve
Conflicts:      imap courier-imap
Autoreqprov:    on
Summary:        An IMAP and POP Mail Server
Version:        2.2.13
Release:        24.2
Source:         %{name}-%{version}.tar.bz2
Source1:        cyrus-imapd-rc.tar.gz
Patch:          cyrus-imapd-2.2.13_drac_auth_patch.patch
Patch1:         cyrus-imapd-2.2.13-autocreate-0.9.4.diff
Patch2:         authid_normalize.patch
Patch3:         allow_auth_plain_proxying.patch
Patch4:         luser_relay.patch
Patch5:         cyrus-imapd-perl.patch
Patch7:         cyrus-imapd-2.1.12-stdarg.patch
Patch8:         tail-1-fix.patch
Patch10:        cyrus-imapd-openslp.patch
Patch12:        pie.patch
Patch14:        impl_decl.patch
Patch15:        cyrus-imapd-strip.patch
Patch16:        gcc-warnings.patch
Patch17:        deliver_unixdomain-segv.diff
Prereq:         /usr/sbin/useradd %insserv_prereq %fillup_prereq /bin/sed /bin/awk /bin/grep /bin/cat /usr/bin/find /usr/bin/db_verify sh-utils fileutils cyrus-sasl netcfg /usr/bin/strings
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%debug_package
%package -n perl-Cyrus-IMAP
Summary:        Cyrus IMAP Perl Module
Requires:       perl = %{perl_version}
Autoreqprov:    on
Group:          Development/Libraries/Perl
%package -n perl-Cyrus-SIEVE-managesieve
Summary:        A Perl Module for Cyrus SIEVE
Requires:       perl = %{perl_version}
Autoreqprov:    on
Group:          Development/Libraries/Perl
%package -n cyrus-imapd-devel
Summary:        Libraries and Includes for Cyrus IMAPd
Autoreqprov:    on
Group:          Development/Libraries/C and C++

%description
The Cyrus IMAP server.



Authors:
--------
    Office of Technology Transfer Carnegie Mellon University <tech-transfer@andrew.cmu.edu>


%description -n perl-Cyrus-IMAP
A Cyrus IMAP Perl module for the Cyrus IMAPD.



Authors:
--------
    Office of Technology Transfer Carnegie Mellon University <tech-transfer@andrew.cmu.edu>


%description -n perl-Cyrus-SIEVE-managesieve
A Perl module for Cyrus SIEVE.



Authors:
--------
    Office of Technology Transfer Carnegie Mellon University <tech-transfer@andrew.cmu.edu>


%description -n cyrus-imapd-devel
This package provides the libraries and include files for Cyrus IMAPd.



Authors:
--------
    Office of Technology Transfer Carnegie Mellon University <tech-transfer@andrew.cmu.edu>

%define cyrus_uid 96
%prep
%setup -q -a 1
%patch -p1
patch -s -p0 < contrib/drac_auth.patch
%patch1 -p1
%patch2
%patch3
%patch4
%patch5
%patch7
%patch10
%patch12 -p1
%patch14 -p1
%patch15
%patch16 -p1
%patch17 -p1

%build
#%{?suse_update_config:%{suse_update_config -l -f build}}
#rm -f sieve/sieve.c sieve/addr.c
#autoconf
#autoreconf --force --install
rm -fr aclocal.m4 configure config.h.in autom4te.cache
sh SMakefile
export CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing -I/usr/include/kerberosIV -I%{_libdir}/sasl2/include"
./configure --prefix=/usr \
	    --mandir=%{_mandir} \
            --with-cyrus-user=cyrus \
            --with-cyrus-group=mail \
            --with-cyrus-prefix=/usr/lib/cyrus \
	    --localstatedir=/var/lib \
            --without-notify \
            --with-sasldir=/usr \
            --enable-netscapehack \
            --with-openssl \
            --with-auth=unix \
	    --with-dbdir=%{_libdir} \
	    --enable-shared \
	    --with-lock=fcntl \
	    --with-drac=%{_libdir} \
	    --libdir=%{_libdir} \
	    --enable-murder \
	    --with-mboxlist-db=skiplist \
	    --enable-annotatemore \
	    --with-perl=/usr/bin/perl \
	    --without-ucdsnmp \
	    --with-libwrap=/usr \
	    --with-gss_impl=auto \
	    --with-syslogfacility=DAEMON \
	    --with-com_err=yes \
	    --with-openslp=%{_libdir} \
	    --enable-nntp \
	    --with-idle=idled
make depend
make

%install
rm -rf $RPM_BUILD_ROOT
/usr/sbin/useradd -r -o -g mail -u %{cyrus_uid} -s /bin/bash -c "User for cyrus-imapd" -d /usr/lib/cyrus cyrus 2> /dev/null || :
mkdir -p $RPM_BUILD_ROOT/etc/init.d
%if %suse_version > 920
mkdir -p $RPM_BUILD_ROOT/etc/pam.d
install -m 644 SuSE/imap $RPM_BUILD_ROOT/etc/pam.d/imap
install -m 644 SuSE/pop $RPM_BUILD_ROOT/etc/pam.d/pop
install -m 644 SuSE/sieve $RPM_BUILD_ROOT/etc/pam.d/sieve
%endif
mkdir -p $RPM_BUILD_ROOT/etc/cron.daily
mkdir -p $RPM_BUILD_ROOT/sbin
mkdir -p $RPM_BUILD_ROOT/var/adm
install -m 755 SuSE/rc.cyrus $RPM_BUILD_ROOT/etc/init.d/cyrus
ln -sf ../etc/init.d/cyrus $RPM_BUILD_ROOT/sbin/rccyrus
install -m 755 SuSE/cron.daily.cyrus $RPM_BUILD_ROOT/etc/cron.daily/suse.de-cyrus-imapd
export DESTDIR=$RPM_BUILD_ROOT
make install
# make install results in make install within the perl modules subdir, so
# remove the stuff from buildroot to satisfy the picky rpm4, as we don't need
# it and use install_vendor for perl modules below
rm -rf $RPM_BUILD_ROOT/%{perl_sitelib}
rm -rf $RPM_BUILD_ROOT/%{perl_sitearch}
#*****************************************************************************
# perl modules
#*****************************************************************************
# Cyrus IMAP
#*****************************************************************************
cd perl/imap
make DESTDIR=$RPM_BUILD_ROOT install_vendor
%perl_process_packlist -n perl-Cyrus-IMAP
cd -
#*****************************************************************************
# Cyrus SIEVE managesieve
#*****************************************************************************
cd perl/sieve/managesieve
make DESTDIR=$RPM_BUILD_ROOT install_vendor
%perl_process_packlist -n perl-Cyrus-SIEVE-managesieve
cd -
#*****************************************************************************
install -m 644 SuSE/imapd.conf $RPM_BUILD_ROOT/etc/imapd.conf
install -m 644 SuSE/cyrus.conf $RPM_BUILD_ROOT/etc/cyrus.conf
install -d -m 750 $RPM_BUILD_ROOT/var/lib/imap/deliverdb/db
install -d -m 750 $RPM_BUILD_ROOT/var/lib/imap/user
install -d -m 750 $RPM_BUILD_ROOT/var/lib/imap/quota
install -d -m 750 $RPM_BUILD_ROOT/var/lib/imap/proc
install -d -m 750 $RPM_BUILD_ROOT/var/lib/imap/log
install -d -m 750 $RPM_BUILD_ROOT/var/lib/imap/msg
install -d -m 750 $RPM_BUILD_ROOT/var/lib/imap/db
install -d -m 750 $RPM_BUILD_ROOT/var/lib/imap/socket
install -d -m 750 $RPM_BUILD_ROOT/var/lib/sieve
for i in a b c d e f g h i j k l m n o p q r s t u v w x y z; do
	install -d -m 755 $RPM_BUILD_ROOT/var/lib/imap/user/$i
	install -d -m 755 $RPM_BUILD_ROOT/var/lib/imap/quota/$i
	install -d -m 750 $RPM_BUILD_ROOT/var/lib/sieve/$i
done
#chown -R cyrus:mail $RPM_BUILD_ROOT/var/lib/imap
#chown -R cyrus:mail $RPM_BUILD_ROOT/var/lib/sieve
install -d -m 750 $RPM_BUILD_ROOT/var/spool/imap
#chown cyrus:mail $RPM_BUILD_ROOT/var/spool/imap
mv $RPM_BUILD_ROOT/%{_mandir}/man8/master.8 \
	$RPM_BUILD_ROOT/%{_mandir}/man8/cyrus_master.8
mv $RPM_BUILD_ROOT/%{_mandir}/man8/idled.8 \
	$RPM_BUILD_ROOT/%{_mandir}/man8/cyrus_idled.8
mv $RPM_BUILD_ROOT/%{_mandir}/man8/fetchnews.8 \
	$RPM_BUILD_ROOT/%{_mandir}/man8/cyrus_fetchnews.8
find . -type d -a -name CVS | xargs rm -rfv
find . -type f -a -name .cvsignore | xargs rm -rfv

%pre
/usr/sbin/useradd -r -o -g mail -u %{cyrus_uid} -s /bin/bash -c "User for cyrus-imapd" -d /usr/lib/cyrus cyrus 2> /dev/null || :
/usr/sbin/usermod -d /usr/lib/cyrus cyrus || :
%if %suse_version > 920
if [ ${1:-0} -gt 1 ] && [ -f usr/lib/cyrus/bin/imapd ] &&
    /usr/bin/strings usr/lib/cyrus/bin/imapd | \
        grep "^Sleepycat Software: Berkeley DB 4\.2\." 2>&1 > /dev/null;
then
    if [ "$(echo var/lib/imap/db/*)" != "var/lib/imap/db/*" ]; then
	touch var/lib/imap/BDB_UPDATE_NEEDED
    fi
fi
%endif

%preun
%stop_on_removal cyrus

%post
%if %suse_version > 920
if [ -f var/lib/imap/BDB_UPDATE_NEEDED ] ; then
    echo "Removing old incompatible bdb4.2 data /var/lib/imap/db"
    rm -f var/lib/imap/db/*
    rm -f var/lib/imap/BDB_UPDATE_NEEDED
fi
%endif
test -e var/lib/imap/mailboxes.db && {
   db_verify var/lib/imap/mailboxes.db 2> /dev/null && {
      echo "Converting mailboxes.db to skiplist backend"
      cp -p --remove-destination var/lib/imap/mailboxes.db var/lib/imap/mailboxes.db.bak
      rm -f var/lib/imap/mailboxes.db
      chroot . su - cyrus -c 'cvt_cyrusdb /var/lib/imap/mailboxes.db.bak db3 /var/lib/imap/mailboxes.db skiplist'
   }
}
grep -E "^sieve" etc/services >/dev/null || {
   echo "Adding sieve service to /etc/services"
   CFBAK=services.`date +%Y-%m-%d`
   CFNEW=services.$$
   cat etc/services | awk '
BEGIN                   { OFS="\t"; ORS="\n"; }
/^#/                    { print; next; }
/[[:space:]]+2000\/(tcp|udp)/       { printf "sieve\t\t%s\t# Cyrus SIEVE\n", $2; next; } 
                        { print; next; };' > etc/$CFNEW
   echo "Backing up old services as $CFBAK"
   cp --remove-destination etc/services etc/$CFBAK
   mv etc/$CFNEW etc/services
}
SIEVEUP=
IMAPUP=
test $1 -gt 1 && test -d usr/sieve -a ! -L usr/sieve && SIEVEUP=yes
test $1 -gt 1 && test -d var/imap  -a ! -L var/imap  && IMAPUP=yes
test -n "`find var/lib/sieve -type f`" && {
     SIEVEUP=
}
test -n "`find var/lib/imap -type f`" && {
     IMAPUP=
}
test -n "$SIEVEUP" && {
     echo "Creating compatibility symlink /var/lib/sieve -> /usr/sieve"
     rm -rf var/lib/sieve
     ln -sf ../../usr/sieve var/lib/sieve
}
test -n "$IMAPUP" && {
     echo "Creating compatibility symlink /var/lib/imap -> /var/imap"
     rm -rf var/lib/imap
     ln -sf  ../imap /var/lib/imap
}
CYRUSCF=etc/cyrus.conf
TMPCYRUSCF=etc/cyrus.conf.tmp
rm -f $TMPCYRUSCF
sed -e 's/^[[:space:]]*delprune.*/  delprune      cmd="cyr_expire -E 3" at=0400/' $CYRUSCF > $TMPCYRUSCF
if ! cmp -s $CYRUSCF $TMPCYRUSCF; then
   CFBAK=etc/cyrus.conf.$(date +%Y-%m-%d)
   echo "Backing up old $CYRUSCF as $CFBAK"
   cp --remove-destination $CYRUSCF $CFBAK
   echo "updating $CYRUSCF"
   mv $TMPCYRUSCF $CYRUSCF
else
   rm -f $TMPCYRUSCF
fi
%{fillup_and_insserv cyrus}

%postun
%restart_on_update cyrus
%insserv_cleanup

%files
%defattr(-,root,root)
%if %suse_version > 920
%config /etc/pam.d/*
%endif
%config /etc/cron.daily/suse.de-cyrus-imapd
%config(noreplace) /etc/imapd.conf
%config(noreplace) /etc/cyrus.conf
%dir %attr(0750, cyrus, mail) /var/lib/imap
%attr(0750, cyrus, mail) /var/lib/imap/deliverdb
%attr(0750, cyrus, mail) /var/lib/imap/log
%attr(0750, cyrus, mail) /var/lib/imap/msg
%attr(0750, cyrus, mail) /var/lib/imap/proc
%attr(0750, cyrus, mail) /var/lib/imap/quota
%attr(0750, cyrus, mail) /var/lib/imap/user
%attr(0750, cyrus, mail) /var/lib/imap/socket
%attr(0750, cyrus, mail) /var/lib/imap/db
%attr(0750, cyrus, mail) /var/lib/sieve
%attr(0750, cyrus, mail) /var/spool/imap
/etc/init.d/cyrus
/sbin/rccyrus
/usr/lib/cyrus
/usr/bin/*
%doc %{_mandir}/man1/*.gz
%doc %{_mandir}/man3/imclient.3.gz
%doc %{_mandir}/man5/*.gz
%doc %{_mandir}/man8/*.gz
%doc COPYRIGHT README README.andrew doc
%doc SuSE/README.SuSE contrib tools

%files -n cyrus-imapd-devel
%defattr(-,root,root)
/usr/include/cyrus
%{_libdir}/libcyrus.a
%{_libdir}/libcyrus_min.a

%files -n perl-Cyrus-IMAP
%defattr(-,root,root)
%dir %{perl_vendorarch}/Cyrus
%{perl_vendorarch}/Cyrus/IMAP
%{perl_vendorarch}/Cyrus/IMAP.pm
%dir %{perl_vendorarch}/auto/Cyrus
%{perl_vendorarch}/auto/Cyrus/IMAP
/var/adm/perl-modules/perl-Cyrus-IMAP
%doc %{_mandir}/man3/Cyrus::IMAP*

%files -n perl-Cyrus-SIEVE-managesieve
%defattr(-,root,root)
%dir %{perl_vendorarch}/Cyrus
%dir %{perl_vendorarch}/Cyrus/SIEVE
%{perl_vendorarch}/Cyrus/SIEVE/managesieve.pm
%dir %{perl_vendorarch}/auto/Cyrus
%dir %{perl_vendorarch}/auto/Cyrus/SIEVE
%{perl_vendorarch}/auto/Cyrus/SIEVE/managesieve
/var/adm/perl-modules/perl-Cyrus-SIEVE-managesieve
%doc %{_mandir}/man3/Cyrus::SIEVE::managesieve.3pm.gz

%changelog -n cyrus-imapd
* Wed Jan 10 2007 - rhafer@suse.de
- Fixed use of uninitialzied value, that caused deliver to crash
  when delivering via Unix Domain Socket (Bug #226648)
* Thu Sep 07 2006 - rhafer@suse.de
- silence compiler warnings
* Fri Aug 11 2006 - rhafer@suse.de
- removed update-messages
* Fri Jul 28 2006 - rhafer@suse.de
- update to version 2.2.13. Most important changes:
  * Allow sieve scripts to be run on shared mailboxes
  (via sieve annotation).
  * Updated nntpd to be compliant with latest draft (soon to be
  RFC3977).
  * Updated IMAP UIDPLUS extension to be compliant with latest
  specification (RFC4315).
  * Performance improvements to quota utility.
  * Fixed possible race condition in IMAP IDLE.
  * Made ptloader runtime configurable.
  * Added more extensive output to arbitron.
  * Allow responses of any length from backend when proxing
  IMAP/POP3/NNTP traffic.
  * Added plaintextloginalert option.
  * Only allow mbpath to be run as Cyrus user.
  * Added berkeley_hash and berkeley_hash_nosync cyrusdb backends
  (seem to perform better under heavy loads).
  * Added lastpop mailbox annotation.
  * Added subscribe/unsubscribe support to cyradm.
  * Fixed miscellaneous bugs and build issues.
- removed obsolete patches
* Fri Jun 02 2006 - rhafer@suse.de
- renamed SuSE.tar.gz to cyrus-sasl-rc.tar.gz to avoid name
  collision with other packages in src.rpm (Bug #98188)
* Wed May 17 2006 - schwab@suse.de
- Don't strip binaries.
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan 09 2006 - rhafer@suse.de
- fixed --with-ssl configure option
* Fri Oct 28 2005 - choeger@suse.de
- update to autocreate patch v0.9.4
- fixed implicit declaration problems
* Wed Aug 24 2005 - choeger@suse.de
- Bugfix Bugzilla ID#105243 - timesieved exits with SIG11 when trying to
  authenticate:
  - Shut down sasl connection before reusing the connection structure again
  - log the reason of the failure to syslog
* Wed Aug 17 2005 - choeger@suse.de
- added "Autocreate INBOX patch for Cyrus"
  http://email.uoa.gr/projects/cyrus/autocreate/, Bugzilla ID#96568, Feature
  ID#2256.
* Tue Jul 12 2005 - choeger@suse.de
- improved -pie patch
* Thu Jul 07 2005 - choeger@suse.de
- use -pie
* Mon Jul 04 2005 - choeger@suse.de
- use lsb conform cronjob name
* Tue May 03 2005 - choeger@suse.de
- change heimdal include path to the mit one and use --with-gss_impl=auto
* Wed Apr 13 2005 - rhafer@suse.de
- fixes for gcc-4
* Wed Mar 16 2005 - choeger@suse.de
- added courier-imapd to Conflicts as it also provides pam configuration files
* Mon Mar 14 2005 - choeger@suse.de
- added /etc/pam.d/{imap,pop,sieve} to package as pam does not
  seem to work anymore without creating a pam configuration file
  as it did in the past (Bugfix Bugzilla ID#72390, Can't autenthicate to
  cyradm)
* Wed Feb 16 2005 - choeger@suse.de
- bugfix to bug introduced with 2.2.11 which could result to segfaults (see
  http://asg.web.cmu.edu/archive/message.php?mailbox=archive.info-cyrus&msg=33727)
* Mon Feb 14 2005 - choeger@suse.de
- added defined return code to signals.c(112) to satisfy the compiler
* Mon Feb 14 2005 - choeger@suse.de
- update to version 2.2.11
  Bugfix ID#50795 VUL-0: cyrus-imapd: bugfix release
* Tue Feb 08 2005 - choeger@suse.de
- Bugfix Bugzilla ID#50368 - use of uninitialized variable in cyrus-imapd:
  remove old and incompatible bdb4.2 environment upon update
* Wed Jan 26 2005 - meissner@suse.de
- Use RPM_OPT_FLAGS, and add -fno-strict-aliasing.
* Tue Dec 07 2004 - choeger@suse.de
- Bugfix Bugzilla ID#48761: fixed README.SuSE
* Mon Dec 06 2004 - choeger@suse.de
- Bugfix Bugzilla ID#43107, renamed fetchnews to cyrus_fetchnews
* Wed Nov 24 2004 - choeger@suse.de
- update to version 2.2.10
* Tue Nov 23 2004 - choeger@suse.de
- update to version 2.2.9
  containing fix for Bug ID#48201 - VUL-0: cyrus-imapd multiple remote
  vulnerabilites
* Thu Nov 04 2004 - choeger@suse.de
- added "lmtp_downcase_rcpt: yes" to default imapd.conf
* Sat Oct 23 2004 - choeger@suse.de
- using kerberos-devel-packages
* Wed Sep 22 2004 - choeger@suse.de
- removed sieve-vacation-time-period.patch as it still
  does not work
* Tue Sep 21 2004 - choeger@suse.de
- activating idled in /etc/cyrus.conf (as idled support it is now
  compiled in and there will be error messages if idled is not activated)
* Tue Sep 07 2004 - choeger@suse.de
- updated sieve-vacation-time-period.patch
  We now use an own version of the sieve bytecode, because we
  must be able to detect incompatible versions.
* Tue Aug 31 2004 - choeger@suse.de
- only create update messages, if user is doing an update
  AND user has SIEVE scripts
* Mon Aug 30 2004 - choeger@suse.de
- Bugfix Bugzilla ID#44366 - still using /var/adm/notify
  now using new update messages mechanism
* Mon Aug 30 2004 - choeger@suse.de
- Bugfix ID#44287 - cyrus imapd vacation does not work
  added sieve bytecode relevant extensions to make the feature
  work again
* Fri Jul 30 2004 - choeger@suse.de
- update to version 2.2.8
  * Fix a double-free bug in the notify code
* Wed Jul 28 2004 - choeger@suse.de
- update to version 2.2.7
  * Fix handling of PARTIAL command and partial body fetches
  * A large number of portability fixes supplied by Albert Chin
  <china@thewrittenword.com>
  * Added client_timeout option to control connect() timeouts for proxy
  code
  * Added popuseacl option
  * Fix a number of issues with the quota -f tool
  * Fix thread safety issue in saslserver()
  * Fix possible stage file leak in append code
  * Fix bugs in handling of MULTIAPPEND introduced in 2.2.3
  * Fixed regression bug in Sieve vacation
* Mon Jun 21 2004 - choeger@suse.de
- update to version 2.2.6
  * Fix a bug in the proxy code where a backend connection might get
  closed twice
  * Improved consistancy checking in chk_cyrus
  * Fix segfault in APPEND code
  * Fix a bug with an interaction between sieve and unixhierarchysep
  * Fix a file descriptor leak in the quotadb code
  * Fix a triggered assertation in service-thread services
  * Add a number of internal consistancy checks to the skiplist code
  * Allow mbpath to handle virtual domains
  * Fix various MANAGESIEVE client authentication issues
  * Other minor fixes
* Tue Jun 01 2004 - choeger@suse.de
- update to version 2.2.5
  * Bug fixed in hash table code that could sometimes cause crashes
  with the quotalegacy database
  * Net-SNMP compatibility
  * Significantly improved com_err detection
  * Assorted minor NNTP improvements
  * Assorted other minor bugfixes
  * Quota now uses the cyrusdb interface (quotalegacy by default).
  * All incoming messages are now staged to disk before locking the
  destination mailbox (locks are no longer held during a network
  read).
  * Fixed off-by-one error in fetchnews (articles are no longer
  skipped).
  * nntpd now uses the Followup-To: header (if exists) instead of the
  Newsgroups: header when constructing post address(es) and adds them
  to the Reply-To: header instead of the To: header.
  * Added berkeley_locks_max, berkeley_txns_max and berkeley_cachesize
  options.
  * Added imapmagicplus option.
  * Substantial work on afspts/ptloader canonicalization code
  * Much improved LDAP ptloader code (no more internal OpenLDAP
  dependencies)
  * Fixed a number of IPv6 related bugs
* Fri Apr 23 2004 - choeger@suse.de
- enabling idled during compiletime.
  Bugfix Bugzilla ID#38036
* Wed Apr 21 2004 - choeger@suse.de
- added tools and contrib directory to %%doc
- added mail notification about sieve bytecode changes
* Wed Feb 18 2004 - choeger@suse.de
- enabled NNTP support (Bugzilla ID#34679)
* Tue Feb 17 2004 - choeger@suse.de
- added OpenSLP support to cyrus-imapd
* Fri Jan 23 2004 - choeger@suse.de
- conflicts package imap now
* Wed Jan 21 2004 - choeger@suse.de
- update to cyrus-imapd-2.2.3
* Thu Jan 08 2004 - choeger@suse.de
- Bugfix ID#29151, ipurge uses Date: Field instead of date of receipt
  to delete old mails.
  The patch introduces the -R switch which enables the user to use
  the date of receipt.
* Wed Jan 07 2004 - choeger@suse.de
- using libwrap now, Bugzilla ID#33608,
  cyrus-imap should be compiled with --with-libwrap=/usr
* Wed Dec 17 2003 - choeger@suse.de
- added cyrus-imapd-2.1.16-db42.patch to build with bdb4.2
* Fri Nov 21 2003 - choeger@suse.de
- update to version 2.1.16
* Thu Oct 30 2003 - choeger@suse.de
- Don't build as root
* Sat Oct 18 2003 - kukuk@suse.de
- removed unused des from neededforbuild
* Mon Sep 01 2003 - choeger@suse.de
- removed "-u root" from startproc as it always failes
- added saslauthd to Required-Start: in init-script
* Fri Aug 29 2003 - kukuk@suse.de
- Call useradd with -r for system accounts [Bug #29611]
* Wed Aug 20 2003 - mjancar@suse.cz
- require the perl version we build with
* Tue Aug 19 2003 - choeger@suse.de
- updated to version 2.1.15
- added sieve-vacation-time-period.patch which introduces the possibility
  to give a start start/end tag in a vacation rule.
  this new feature requires to add a line containing:
  require "vacation-period";
  and is therefor backward compatible with sieve scripts of unpatched
  cyrus-imapd versions
* Wed Jul 30 2003 - choeger@suse.de
- new macros for stop/restart of services on rpm update/removal
* Tue Jul 22 2003 - mls@suse.de
- use -n option in %%perl_process_packlist
* Mon Jul 21 2003 - choeger@suse.de
- chown user:group instead of user.group
* Thu Jul 17 2003 - choeger@suse.de
- use install_vendor and new %%perl_process_packlist macro
* Thu Jul 03 2003 - choeger@suse.de
- updated to version 2.1.14
* Tue Jul 01 2003 - choeger@suse.de
- remove buildroot from .packlist
* Fri Jun 13 2003 - kukuk@suse.de
- Add missing directories to filelist
* Tue May 20 2003 - choeger@suse.de
- remove installed (but unpackaged) file perllocal.pod
- added installed (but unpackaged) mupdatetest manpage
* Mon May 19 2003 - choeger@suse.de
- remove CVS directories and .cvsignore files
* Mon May 05 2003 - choeger@suse.de
- update to version 2.1.13
- chown/chmod mailboxes.db backup files
* Wed Apr 30 2003 - choeger@suse.de
- added cron.daily job to backup mailboxes.db to
  /var/lib/imap/backup on a daily basis
* Wed Apr 16 2003 - ro@suse.de
- fixed prereq
* Tue Apr 15 2003 - ro@suse.de
- fixed neededforbuild
* Mon Apr 07 2003 - choeger@suse.de
- tail is now picky using -1 instead of -n 1
* Tue Feb 04 2003 - choeger@suse.de
- update to version 2.1.12, fixes (from doc/text/changes):
  * Master now will forcibly exit if a service is not executable
  * Master now has a daemon mode and pidfile support (-d and -p
  options)
  * Berkeley DB Configuration methods have changed. Hopefully they're
  more generic now. You can still use --with-dbdir, or you can use
    --with-bdb-libdir and --with-bdb-incdir
  * timsieved now handles usernames with dots (when unixhierarchysep is
  active)
  * tugowar has been removed from the distribution.
  * Squatter now has an option to skip unmodified mailboxes.
  * Properly hash username to remove a user's sieve scripts when their
  INBOX is removed.
  * Reset output buffer when prot_flush returns EOF.
  * Minor Makefile improvements with use of $(srcdir)
  * Remotepurge improvement for empty mailboxes
  * Fix for AFS overwriting the canonicalized username in ptloader
  * Security audit of imapd.c performed by SecurityAppraisers and
  Bynari
* Thu Jan 23 2003 - ro@suse.de
- fix build on gcc-3.3 (use stdarg)
* Thu Jan 16 2003 - ro@suse.de
- use shared sasl2
* Tue Dec 10 2002 - choeger@suse.de
- added --without-ucdsnmp, because cyrus-imapd doesn't compile with
  that option and that will prevent users from compiling their own
  RPM, if they have installed ucdsnmp.
* Thu Dec 05 2002 - choeger@suse.de
- update to version 2.1.11
  * Fixed some potential buffer overflows in the sieve code, as well as
  a pre-login buffer overflow in the IMAP parsing code.
* Mon Nov 25 2002 - choeger@suse.de
- new features:
  rfc_ignore_barenewlines
  rfc_ignore_8bit
  rfc_ignore_badheader
* Tue Nov 19 2002 - ro@suse.de
- fix build
* Thu Nov 14 2002 - choeger@suse.de
- update to version 2.1.10
* Mon Nov 04 2002 - choeger@suse.de
- added $syslog to Required-Start in init script,
  Bugzilla ID#20989
* Wed Sep 04 2002 - choeger@suse.de
- compiled using skiplist as backend for mailboxes.db as this
  will prevent problems when the system is under high load.
  http://asg.web.cmu.edu/archive/message.php?mailbox=archive.info-cyrus&searchterm=skiplist&msg=17010
* Mon Sep 02 2002 - choeger@suse.de
- update to version 2.1.9 (bugfix release)
  - Fix a strlcpy() off-by-one error.
  - Better handling of errors in connecting to LMTP servers for deliver
  and lmtpproxyd.
  - Fix bug in pop3proxyd's pop3s handling.
  - Fix Exim install documentation.
- bugfix for %%post /etc/services fillup mechanism
- bugfix for lmtp_luser_relay patch
* Fri Aug 30 2002 - choeger@suse.de
- added new feature lmtp_luser_relay to be able to store mail
  to non existent mailboxes in a default mailbox
* Thu Aug 22 2002 - choeger@suse.de
- update to version 2.1.8 (bugfix release)
  - cleanup of a number of memory and file descriptor leaks
  - corrections in how strlcpy() is used
  - locking improvements for CREATE and RENAME operations
  - This release fixes a critical locking problem with the CREATE
  command that was introduced in 2.1.6 and 2.1.7
* Tue Aug 20 2002 - uli@suse.de
- fixed for lib64 archs
* Mon Aug 19 2002 - rhafer@suse.de
- link statically against libsasl2. Otherwise we run into trouble
  if cyrus-imapd is used with pam-/nss_ldap (libldap is linked
  against cyrus-sasl 1.5.X)
* Fri Aug 09 2002 - rhafer@suse.de
- updated SIEVE script location in imapd.conf (/var/lib/sieve)
* Fri Aug 09 2002 - mls@suse.de
- use sitearch macro
* Wed Aug 07 2002 - choeger@suse.de
- added netcfg to Prereq
* Tue Aug 06 2002 - choeger@suse.de
- completed Prereq
* Mon Aug 05 2002 - choeger@suse.de
- added Prereq
* Tue Jul 30 2002 - ro@suse.de
- fix build with perl-5.8
* Thu Jul 11 2002 - choeger@suse.de
- enable cyrus-murder
- don't use unset in %%post
* Tue Jun 25 2002 - choeger@suse.de
- update to version 2.1.5
* Wed Jun 19 2002 - choeger@suse.de
- added old patches:
  . authid_normalize.patch
  . allow_auth_plain_proxying.patch
* Tue Jun 18 2002 - choeger@suse.de
- renamed manpages master to cyrus_master and idled to cyrus_idled
- updated config files
- bzip2 sources
- updated README.SuSE
* Mon Jun 17 2002 - choeger@suse.de
- update to current maintained stable/production release (v2.1.4)
* Fri May 24 2002 - choeger@suse.de
- create cyrus user in %%pre install
* Thu May 16 2002 - choeger@suse.de
- use fcntl locking instead of flock because flock seems to make
  problems on linux
* Tue Apr 30 2002 - choeger@suse.de
- fixed wrong path to lmtp socket in cyrus.conf, Bugzilla ID#16056
* Mon Apr 29 2002 - choeger@suse.de
- added lib64 awareness
* Fri Apr 26 2002 - choeger@suse.de
- Bugfix for %%post in specfile:
  SIEVE port is 2000, not 2222, which is the RFC number...  :-(
* Thu Apr 25 2002 - choeger@suse.de
- removed provides of my own packagename
* Wed Apr 17 2002 - choeger@suse.de
- make the overquota behaviour configurable:
  "lmtp_reject_over_quota: yes" will immediately reject mail to
  users with folders that exceed the quota limit.
  "lmtp_reject_over_quota: no", which is the default,
  will behave as usual.
* Wed Apr 17 2002 - choeger@suse.de
- bugfix for the vacation segv problem:
  cmd buffer in send_response(imap/lmtpd.c) has not been
  increased to fit the sendmail command in
* Fri Apr 05 2002 - ro@suse.de
- more brackets for autoconf
* Mon Mar 25 2002 - choeger@suse.de
- renamed manpage idled(8) to cyrus_idled(8) because of
  a conflict with idled(8) of the idled package, Bugzilla ID#15434
* Mon Feb 25 2002 - choeger@suse.de
- Bugfix for a header parsing bug in SIEVE
  (http://asg.web.cmu.edu/archive/message.php?mailbox=archive.info-cyrus&searchterm=haferkamp&msg=12745)
* Fri Feb 22 2002 - choeger@suse.de
- made authid_normalize configurable
* Wed Feb 20 2002 - choeger@suse.de
- remove leading and trailing spaces from authid
  combined with authid_tolower -> authid_normalize
* Mon Feb 11 2002 - choeger@suse.de
- made allow_auth_plain_proxying configurable
* Fri Feb 01 2002 - choeger@suse.de
- modify /etc/services in %%post and exchange whatever
  uses port 2222 with sieve (Bugzilla ID#12922)
* Thu Jan 31 2002 - ro@suse.de
- added heimdal-lib to neededforbuild
* Tue Jan 22 2002 - ro@suse.de
- fix to build with db4
- bzipped source
* Tue Jan 15 2002 - choeger@suse.de
- added %%post section to handle updates from older
  SuSE Linux versions
* Tue Dec 11 2001 - choeger@suse.de
- FHS-enable
  /usr/cyrus -> /usr/lib/cyrus
  /usr/sieve -> /var/lib/sieve
  /var/imap  -> /var/lib/imap
- Bugfix: anonymous login possible, even if it is switched off
  Bugzilla ID#12585
* Fri Nov 30 2001 - choeger@suse.de
- remove START_ variable
* Mon Nov 19 2001 - choeger@suse.de
- added ipurge_force_all.patch
  ipurge only deletes mail in shared folders and not in folders
  below user.* and INBOX.*
  This patch adds -f option to allow *force* deletion of mail
  in all folders, see also
  http://asg.web.cmu.edu/archive/message.php?mailbox=archive.info-cyrus&msg=10166
  http://asg.web.cmu.edu/archive/message.php?mailbox=archive.info-cyrus&msg=10168
- Bugfix: drac patch was not applied because the configure
  script does not set DRAC_AUTH
- updated README.SuSE
- added ipurge example to cyrus.conf
* Wed Sep 05 2001 - choeger@suse.de
- added sieve_dotstuffing_fix
  See
  http://asg.web.cmu.edu/archive/message.php?mailbox=archive.info-cyrus&msg=10136
  for more details
* Fri Aug 17 2001 - choeger@suse.de
- added -u root to startproc options
  for some strange reasons cyrus isn't able to read root.root owned
  files after booting into system. -u root "fixes" this.
* Tue Aug 07 2001 - choeger@suse.de
- update to 2.0.16  (important db3 fixes)
* Wed Jul 11 2001 - choeger@suse.de
- update to 2.0.15 (sig11 fixes)
* Thu Jun 28 2001 - choeger@suse.de
- bugfix: init script was not LSB compliant, Bugzilla ID#8983
* Fri Jun 15 2001 - choeger@suse.de
- update to version 2.0.14
* Mon May 28 2001 - choeger@suse.de
- little fix: Leave Returnpath empty, if it is already empty
* Wed May 16 2001 - lmuelle@suse.de
- remove obsolete mail notify
* Thu Apr 19 2001 - choeger@suse.de
- renamed master to cyrus_master to prevent conflict
  with postfix master.8 manpage
* Mon Apr 02 2001 - choeger@suse.de
- added missing fillup to %%post :-(
* Tue Feb 27 2001 - ro@suse.de
- changed neededforbuild <cyrus-sasl> to <cyrus-sasl cyrus-sasl-devel>
* Wed Feb 21 2001 - choeger@suse.de
- new version, 2.0.12
* Thu Feb 01 2001 - choeger@suse.de
- new version 2.0.11 (bugfix release)
* Mon Jan 22 2001 - schwab@suse.de
- Compile with -fPIC for inclusion in shared library.
* Wed Dec 27 2000 - choeger@suse.de
- typo fix in README.SuSE
- new version 2.0.9 (Bugfix Release)
* Mon Dec 18 2000 - choeger@suse.de
- added README.SuSE
* Mon Dec 18 2000 - choeger@suse.de
- bugfix: Dependencies
- bugfix: openssl to neededforbuilt
* Sat Dec 09 2000 - kukuk@suse.de
- Fix group tags
* Thu Dec 07 2000 - choeger@suse.de
- added init script for new cyrus master daemon
  was not able to test it, yet
* Wed Nov 29 2000 - ro@suse.de
- changed neededforbuild <tcld> to <tcl-devel>
* Fri Nov 24 2000 - ro@suse.de
- neededforbuild += openssl-devel
* Tue Nov 21 2000 - choeger@suse.de
- new version 2.0.7
- build root
- long package name
* Mon Nov 20 2000 - ro@suse.de
- removed eazy from neededforbuild
* Thu Nov 16 2000 - ro@suse.de
- fixed neededforbuild
* Wed Oct 25 2000 - choeger@suse.de
- fixed drac support
* Fri Oct 20 2000 - choeger@suse.de
- hacked in support for DRAC
* Wed Oct 04 2000 - choeger@suse.de
- changed the behaviour of quota command
  -t user.<uname> now prints the quota usage of this
  user to STDOUT
* Mon Sep 25 2000 - choeger@suse.de
- bugfix: /etc/imapd.conf was mode 755 ... :-(
* Sun Jun 18 2000 - ro@suse.de
- regenerate bison-files
* Fri Jun 09 2000 - choeger@suse.de
- update to version 1.6.24
- excluded sasl and made separate package
- no longer need for pwcheck with ldap support,
  we are using pam_ldap, now
* Wed May 24 2000 - choeger@suse.de
- patch by jro to the false double-subscribe behaviour
* Mon May 22 2000 - choeger@suse.de
- there's no tail in inst-sys, so we have to use sed instead
* Mon May 22 2000 - choeger@suse.de
- added reiserfs-check before calling chattr in postinstall
* Thu Apr 27 2000 - choeger@suse.de
- added new config option use-unix to pwcheck.conf
- changed auth sequence from unix->ldap to ldap->unix
* Tue Mar 14 2000 - choeger@suse.de
- mnt/usr/bin/chattr does not work, so we call
  chroot . /usr/bin/chattr
* Mon Mar 13 2000 - choeger@suse.de
- security fix in pwcheck-module
* Fri Mar 10 2000 - choeger@suse.de
- chattr is not in inst-sys, so we call
  mnt/usr/bin/chattr
* Wed Mar 01 2000 - choeger@suse.de
- added %%{_mandir}
* Thu Feb 17 2000 - choeger@suse.de
- updated to version 1.5.19 of cyrus-imapd
* Tue Jan 04 2000 - choeger@suse.de
- bugfix for pwcheck
* Thu Nov 11 1999 - choeger@suse.de
- added mail-notification to postinstall
* Tue Oct 12 1999 - ro@suse.de
- added tcld to neededforbuild
* Tue Sep 28 1999 - choeger@suse.de
- first version
